Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://api.criteo.com/2025-01/retail-media/balances/{balance-id}/campaigns \ --header 'Authorization: Bearer <token>'
import requests url = "https://api.criteo.com/2025-01/retail-media/balances/{balance-id}/campaigns" headers = {"Authorization": "Bearer <token>"} response = requests.get(url, headers=headers) print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}}; fetch('https://api.criteo.com/2025-01/retail-media/balances/{balance-id}/campaigns', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.criteo.com/2025-01/retail-media/balances/{balance-id}/campaigns", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_HTTPHEADER => [ "Authorization: Bearer <token>" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.criteo.com/2025-01/retail-media/balances/{balance-id}/campaigns" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer <token>") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
HttpResponse<String> response = Unirest.get("https://api.criteo.com/2025-01/retail-media/balances/{balance-id}/campaigns") .header("Authorization", "Bearer <token>") .asString();
require 'uri' require 'net/http' url = URI("https://api.criteo.com/2025-01/retail-media/balances/{balance-id}/campaigns") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer <token>' response = http.request(request) puts response.read_body
{ "data": [ { "attributes": { "id": "<string>" }, "id": "<string>", "type": "<string>" } ], "errors": [ { "code": "<string>", "detail": "<string>", "instance": "<string>", "source": {}, "stackTrace": "<string>", "title": "<string>", "traceId": "<string>", "traceIdentifier": "<string>", "type": "unknown" } ], "metadata": { "currentPageIndex": 123, "currentPageSize": 123, "nextPage": "<string>", "previousPage": "<string>", "totalItemsAcrossAllPages": 123, "totalPages": 123 }, "warnings": [ { "code": "<string>", "detail": "<string>", "instance": "<string>", "source": {}, "stackTrace": "<string>", "title": "<string>", "traceId": "<string>", "traceIdentifier": "<string>", "type": "unknown" } ] }
Gets page of campaigns for the given balanceId
The access token received from the authorization server in the OAuth 2.0 flow.
Grants Read access to the capabilities from the Balance domain, for RetailMedia applications
The balance to get campaigns from
The ids that you would like to limit your result set to
The 0 indexed page index you would like to receive given the page size
0 <= x <= 2147483647
The maximum number of items you would like to receive in this request
1 <= x <= 2147483647
Success
Data model for a paged list of response resources
Show child attributes
Metadata related to the current request
Was this page helpful?
Suggestions